<?php
/**
 * This module displays social sharing buttons for Joomla 3+
 *
 * @package     Joomla.mod_scorpion_socialshare
 * @subpackage  Modules
 * @link        https://ScorpionComputers.nl
 * @license     GNU/GPL, see LICENSE.php
 * mod_scorpion_socialshare is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
if($buttonPosition!='here'){
  $offsetStyle = "top:".$buttonPositionOffset.";";
} else {
  $offsetStyle = "";
}
if($buttonStyle != 'custom'){
  $offsetStyleContent = "";
} else {
  $offsetStyleContent = "background-color:".$buttonStyleBackgroundColor.";color:".$buttonStyleColor.";";
}

if($showLabels){ $label2displayClass = "withLabels"; } else { $label2displayClass = "noLabels"; }

if($showFacebook){
  if($showLabels){ $label2display = "Facebook" ;} else { $label2display = ""; }
  $outputFacebook = "<a href='".$facebookURL."' class='scs-link-facebook' target='_blank' style='".$offsetStyleContent."'><i class='fa fa-facebook'></i><span>".$label2display."</span></a>";
}
if($showTwitter){
  if($showLabels){ $label2display = "Twitter" ;} else { $label2display = ""; }
  $outputTwitter = "<a href='".$twitterURL."' class='scs-link-twitter' target='_blank' style='".$offsetStyleContent."'><i class='fa fa-twitter'></i><span>".$label2display."</span></a>";
}
if($showGooglePlus){
  if($showLabels){ $label2display = "Google+" ;} else { $label2display = ""; }
  $outputGooglePlus = "<a href='".$googlePlusURL."' class='scs-link-googleplus' target='_blank' style='".$offsetStyleContent."'><i class='fa fa-google-plus'></i><span>".$label2display."</span></a>";
}
if($showLinkedIn){
  if($showLabels){ $label2display = "LinkedIn" ;} else { $label2display = ""; }
  $outputLinkedIn= "<a href='".$linkedInURL."' class='scs-link-linkedin' target='_blank' style='".$offsetStyleContent."'><i class='fa fa-linkedin'></i><span>".$label2display."</span></a>";
}
if($showPinterest){
  if($showLabels){ $label2display = "Pinterest" ;} else { $label2display = ""; }
  $outputPinterest = "<a href='".$pinterestURL."' class='scs-link-pinterest' target='_blank' style='".$offsetStyleContent."'><i class='fa fa-pinterest-p'></i><span>".$label2display."</span></a>";
}
if($showEmail){
  if($showLabels){ $label2display = "E-Mail" ;} else { $label2display = ""; }
  $outputEmail= "<a href='".$emailURL."' class='scs-link-email' target='_blank' style='".$offsetStyleContent."'><i class='fa fa-envelope'></i><span>".$label2display."</span></a>";
}


?>
<div id="scs-mod-socialshare" class="scs-mod-socialshare<?php echo $moduleclass_sfx;?> <?php echo ' '.$label2displayClass; echo ' '.$buttonStyle; echo ' '.$buttonPosition; echo ' '.$hideOnMobile; ?>" <?php echo "style='".$offsetStyle."'"; ?>>
  <div class="scs-position ">
    <?php echo $outputFacebook ?>
    <?php echo $outputTwitter ?>
    <?php echo $outputGooglePlus ?>
    <?php echo $outputLinkedIn ?>
    <?php echo $outputPinterest ?>
    <?php echo $outputEmail ?>
  </div>
</div>
<div style="clear:both;"></div>
